Jump to content

Recommended Posts

Hello everyone! 

 

We would like to announce that we are looking for capable artists willing to join the RHS US team and assist us in our great endeavour. 

 

To be specific, we need skilful artists with knowledge of both 3D modeling and texture-work (even if they later focus on one of the fields). 

 

Think you can fit the bill? Send us a PM with some of your work in Facebook or a private message to MistyRonin in the BI Forums  ;)

  • Like 1

Share this post


Link to post
Share on other sites

is that only me or does the javelin not correct hit it's targets ?

have same on my end looks like it misses its target most of the times

Share this post


Link to post
Share on other sites

may it's the same prob with the laser ranger of the abrams, cause it´s too short too

Share this post


Link to post
Share on other sites

Real soldiers use Molotov cocktails :P

Real soldiers rip the limbs off dead soldiers and use them as weapons no joke. :D

Share this post


Link to post
Share on other sites

Yes I searched, no I could not find a clear answer.

 

Is there a way to enable the optics attachments that come with the vanilla game for the RHS weapons? I am using the Joint Rails addon already, but I can't add any of the vanilla game attachments to any weapons. Using 0.3.8 version of the RHS mods. I also can't attach any other optics either from other optics packs (FHQ_Accessories for example) that also use Joint Rails to attach them to any RHS weapon.

Share this post


Link to post
Share on other sites

Yes I searched, no I could not find a clear answer.

 

Is there a way to enable the optics attachments that come with the vanilla game for the RHS weapons? I am using the Joint Rails addon already, but I can't add any of the vanilla game attachments to any weapons. Using 0.3.8 version of the RHS mods. I also can't attach any other optics either from other optics packs (FHQ_Accessories for example) that also use Joint Rails to attach them to any RHS weapon.

 

It should work, we played yesterday and could mount all optics. Probably you have some addon conflict.

Share this post


Link to post
Share on other sites

It should work, we played yesterday and could mount all optics. Probably you have some addon conflict.

It does not for me. I've triple checked that there are no other addon conflicts. Even only using RHS and ASDG Joint Rails I'm only able to attach a couple optics from RHS to each weapon and do not have any options to attach any of the vanilla game optics, the vanilla optics are simply missing from the selection screen for weapon optics on the right hand side of the screen in the Virtual Arsenal when using any RHS weapon.

Share this post


Link to post
Share on other sites

I decided to re-download the mods to compare and see if something went wrong. I've spent about the last 6 hours comparing every single file from my previous download to my new one. From my best guess based on my findings, apparently downloading RHS Escalation 0.3.8, which is suppose to include both complete mods in the 0.3.8 versions, actually gives you 0.3.5, but is labeled as 0.3.8 everywhere you would commonly check to make sure it's the "correct" version. After manually swapping out every single pbo file, I now supposedly have 0.3.8 actually working now, instead of a 0.3.5 completely mislabeled and misrepresented as 0.3.8. However, to top it all off because nothing can ever go smoothly, despite downloading individually from armaholic the AFRF and USAF 0.3.8 versions separately and implementing them, now all of my documentation about the mod in game, including the options menu, is labeled as 0.3.7 version.

 

So basically, I have no effing idea. All optics now work, so downloading AFRF and USAF in separate forms vs downloading the mislabeled version of the Escalation Pack has fixed that issue. But now I have no idea if I ACTUALLY have 0.3.8, or if I somehow got yet another mislabeled version considering the in game options menu says it's version 0.3.7... I have ensured every single old file from my Escalation download is completely erased from my system.

Share this post


Link to post
Share on other sites

use our updaters:

http://www.rhsmods.org/page/updaters

 

just follow the steps, the rest is an automated process that should get all your files into proper shape

 

PS: we have no control over what is being uploaded on Aholic, PW6 or other 3rd party hosting websites..

Share this post


Link to post
Share on other sites

I don't know where else I can find help with RHS, so maybe someone here can help:

 

A lot of the time, not always but very often, when I try to enter a vehicle with any sort of door opening animation other than from a chopper, the character entering the vehicle just gets stuck next to the vehicle unable to do anything until the vehicle itself is deleted or destroyed. It happens with players and AI alike.

 

I have the latest version of RHS and its dependency addons, and this problem happens even when only RHS and its dependency addons are running.

Share this post


Link to post
Share on other sites

I decided to re-download the mods to compare and see if something went wrong. I've spent about the last 6 hours comparing every single file from my previous download to my new one. From my best guess based on my findings, apparently downloading RHS Escalation 0.3.8, which is suppose to include both complete mods in the 0.3.8 versions, actually gives you 0.3.5, but is labeled as 0.3.8 everywhere you would commonly check to make sure it's the "correct" version. After manually swapping out every single pbo file, I now supposedly have 0.3.8 actually working now, instead of a 0.3.5 completely mislabeled and misrepresented as 0.3.8. However, to top it all off because nothing can ever go smoothly, despite downloading individually from armaholic the AFRF and USAF 0.3.8 versions separately and implementing them, now all of my documentation about the mod in game, including the options menu, is labeled as 0.3.7 version.

 

So basically, I have no effing idea. All optics now work, so downloading AFRF and USAF in separate forms vs downloading the mislabeled version of the Escalation Pack has fixed that issue. But now I have no idea if I ACTUALLY have 0.3.8, or if I somehow got yet another mislabeled version considering the in game options menu says it's version 0.3.7... I have ensured every single old file from my Escalation download is completely erased from my system.

Escalation has not been released as a combined pack since 0.3.5. Since then you can only get the separate packs (this is mainly due to USAF no longer requiring AFRF, and ease of distribution). As pufu pointed out, use either the updaters or the torrents from our website to get the latest. Always. As for the ingame menu it was indeed missed that in 0.3.8 it actually incorrectly said 0.3.7.

Share this post


Link to post
Share on other sites

Question:

 

Will the patchless Russian soldiers return in a future version like 0.3.9 ? :)

Share this post


Link to post
Share on other sites

Question:

 

Will the patchless Russian soldiers return in a future version like 0.3.9 ? :)

I was not aware that they disappeared, will have a look.

Share this post


Link to post
Share on other sites

"dependency addons"?

 

We don't have any "dependency addons".

I think he meant mods that are dependent upon RHS, like the PAK FA and other packs which use your guns and units 

Share this post


Link to post
Share on other sites

They have been since 0.3.7....

You're thinking of the wrong one... I'm talking about the this grip/bipod.

Share this post


Link to post
Share on other sites

Will the bipod ever be animated (the ones on the m4s/m16s)?

At some point, they probably should :)

Share this post


Link to post
Share on other sites

You're thinking of the wrong one... I'm talking about the this grip/bipod.

 

Ah, sorry. Misread M4 as M14 and thought you meant the Harris bipod...

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×